OESF | ELSI | pdaXrom | OpenZaurus | Zaurus Themes | Community Links | Ibiblio

IPB

Welcome Guest ( Log In | Register )

2 Pages V  < 1 2  
Reply to this topicStart new topic
> Gpsp Gba Emulator For Cacko/sharp Roms
Jon_J
post Nov 4 2007, 07:26 AM
Post #16





Group: Members
Posts: 1,843
Joined: 31-December 05
From: Illinois USA
Member No.: 8,821



QUOTE(sidmoraes @ Nov 3 2007, 08:07 PM) *
We need to investigate this case with anther aproach...

Give to me the results of this comand:
ldd /opt/QtPalmtop/bin/gpsp

CODE
ldd /opt/QtPalmtop/bin/gpsp
    libSDL-1.2.so.0 => /home/QtPalmtop/lib/libSDL-1.2.so.0 (0x40022000)
    libqpe.so.1 => /home/QtPalmtop/lib/libqpe.so.1 (0x40078000)
    libqte.so.2 => /home/QtPalmtop/lib/libqte.so.2 (0x4020a000)
    libpthread.so.0 => /lib/libpthread.so.0 (0x40618000)
    libz.so.1 => /usr/lib/libz.so.1 (0x40636000)
    libgcc_s.so.1 => /usr/lib/libgcc_s.so.1 (0x40650000)
    libc.so.6 => /lib/libc.so.6 (0x4065f000)
    libjpeg.so.62 => /home/QtPalmtop/lib/libjpeg.so.62 (0x4077a000)
    libm.so.6 => /lib/libm.so.6 (0x407a0000)
    libdl.so.2 => /lib/libdl.so.2 (0x407ce000)
    libcrypt.so.1 => /home/QtPalmtop/lib/libcrypt.so.1 (0x407d9000)
    /lib/ld-linux.so.2 => /lib/ld-linux.so.2 (0x40000000)

Thanks for looking into this.
EDIT:
When I said this, I was wrong. dry.gif
QUOTE
libsdl_1.2.5-bvdd-03_arm.ipk
libsdl_1.2.5-bvdd-06_arm.ipk
libsdl_1.2.5-bvdd-07-2_arm.ipk

All the above IPKs have these same files.
libsdl.so
libsdl.1.2.so.0
libsdl.1.2.so.0.0.5
libsdl.1.2.so.0.0.7

All those IPKs have
libsdl.so
libsdl.1.2.so.0
libsdl.1.2.so.0.0.5
---------------------
libSDL_1.2.6-zports-5_arm.ipk has
libsdl.so
libsdl.1.2.so.0
libsdl.1.2.so.0.0.7
libSDL_1.2.6-zports-5_arm.ipk is required by Cresho's zemu

This post has been edited by Jon_J: Nov 4 2007, 08:13 AM
Go to the top of the page
 
+Quote Post
tovarish
post Nov 4 2007, 09:11 AM
Post #17





Group: Members
Posts: 299
Joined: 27-October 04
Member No.: 5,233



what happens when you do this in a terminal window. "/path/to/roms" should also have the gba bios rom.
cd /path/to/roms
./gpsp

Go to the top of the page
 
+Quote Post
Jon_J
post Nov 4 2007, 09:29 AM
Post #18





Group: Members
Posts: 1,843
Joined: 31-December 05
From: Illinois USA
Member No.: 8,821



QUOTE(tovarish @ Nov 4 2007, 11:11 AM) *
what happens when you do this in a terminal window. "/path/to/roms" should also have the gba bios rom.
cd /path/to/roms
./gpsp

I copied gba_bios.bin to the below directory, then navigated to it. (I checked with ls, and am sure I'm in the correct directory.)
CODE
cd /hdd3/Documents/application/Game_Roms/gba
./gpsp
-bash ./gpsp: No such file or directory


It seems "gpsp" only works if I'm in /opt/QtPalmtop/bin
Go to the top of the page
 
+Quote Post
sidmoraes
post Nov 4 2007, 11:20 AM
Post #19





Group: Members
Posts: 116
Joined: 25-July 05
From: Brazil
Member No.: 7,691




"./" is your current directory! only will work if executable is in this directory. Run without this, like this:

cd /hdd3/Documents/application/Game_Roms/gba

gpsd <rom file>

Again, Give to us your feedback.
Go to the top of the page
 
+Quote Post
tovarish
post Nov 4 2007, 10:30 PM
Post #20





Group: Members
Posts: 299
Joined: 27-October 04
Member No.: 5,233



QUOTE(sidmoraes @ Nov 4 2007, 08:20 PM) *
gpsd <rom file>


should be

gpsp <rom name>

and i am sorry about
./gpsp
I have the executable in the same dir as my roms.
it should have been
gpsp
Go to the top of the page
 
+Quote Post
bolbit
post Nov 9 2007, 07:06 AM
Post #21





Group: Members
Posts: 111
Joined: 6-September 05
From: Aix en Provence/Paris
Member No.: 8,048



hi,
i had the same issue, the way to run gpsp from any directory is to sudo (for me at least !)
so move to the gba rom directrory and try >sudo gpsp.
Go to the top of the page
 
+Quote Post
bolbit
post Dec 25 2007, 08:22 AM
Post #22





Group: Members
Posts: 111
Joined: 6-September 05
From: Aix en Provence/Paris
Member No.: 8,048



To summarize zemuf & gpsp & cresho setup :

for a fresh cacko 1.23
Cresho setup :
install :

snes9x_SDL-2_arm.ipk
zemufe_0.1.1-3ex_arm.ipk
znester_7.1.1_arm.ipk
libmad_0.15.0b-zports-0_arm.ipk
libSDL_1.2.6-zports-5_arm.ipk
libSDL-mixer_1.2.6-zports-0_arm.ipk

edit zemufeex_smc.sh (in /opt/QtPalmtop/bin) and make it looks like this :
CODE
#!/bin/bash
export S9XKEYS=27,100,99,115,120,97,122,13,32,103,106,117,110,121,98,105,109
export SDL_QT_INVERT_ROTATION=1
cd "$1"
snes9x -win -16 -h 85 -mfs 8 "$2"
exit 0

note : the S9XKEYS setup is optional, it modifie the keys to replace the ok/center key with L.

for znester, create a directory in /home/zaurus/.znester and place the cresho znester.rc in that directory.

install gpsp : gpsp-qt_0.9-SDL-3_arm.ipk
type chown zaurus /opt/QtPalmtop/bin/gpsp as root (by default gpsp is own by root only)

to keep the cresho setup and be able to run gpsp (that requires a sdl lib with bvdd ie ibsdl_1.2.5-bvdd-07-2_arm.ipk)
you need to extract the file libsdl.1.2.so.0.0.5 from libsdl_1.2.5-bvdd-07-2_arm.ipk , rename it to libSDL-1.2.so.0 and put it where you want.
and then create/modify zemufeex_gba.sh (in /opt/QtPalmtop/bin) like
CODE
#!/bin/bash
export GPSPKEYS=115,97,276,275,273,274,13,32,120,122
cd "$1"
LD_PRELOAD=<pathtolibsdlbvdd> gpsp "$2"
exit 0

so gpsp will use this lib and the other emulators the zport one! and everything works with zemuf.
Everything comes from this thread and others on this forum.
Go to the top of the page
 
+Quote Post
Darth_Sith
post Feb 9 2008, 08:07 AM
Post #23





Group: Members
Posts: 128
Joined: 6-June 06
Member No.: 10,068



I can't get it working.
Run in shell (640x480) freeze my c1000 (cacko), run via zemu close the app and return 127:error.
I don't know how to run a shell in 320x240. Anyone can explain me this?
However I think it's an erro of the library.
Go to the top of the page
 
+Quote Post
AltairTK
post Jan 31 2011, 08:32 AM
Post #24





Group: Members
Posts: 8
Joined: 20-March 08
From: Venice -Italy
Member No.: 21,530



QUOTE(bolbit @ Dec 25 2007, 08:22 AM) *
To summarize zemuf & gpsp & cresho setup :

for a fresh cacko 1.23
Cresho setup :
install :

snes9x_SDL-2_arm.ipk
zemufe_0.1.1-3ex_arm.ipk
znester_7.1.1_arm.ipk
libmad_0.15.0b-zports-0_arm.ipk
libSDL_1.2.6-zports-5_arm.ipk
libSDL-mixer_1.2.6-zports-0_arm.ipk

edit zemufeex_smc.sh (in /opt/QtPalmtop/bin) and make it looks like this :
CODE
#!/bin/bash
export S9XKEYS=27,100,99,115,120,97,122,13,32,103,106,117,110,121,98,105,109
export SDL_QT_INVERT_ROTATION=1
cd "$1"
snes9x -win -16 -h 85 -mfs 8 "$2"
exit 0

note : the S9XKEYS setup is optional, it modifie the keys to replace the ok/center key with L.

for znester, create a directory in /home/zaurus/.znester and place the cresho znester.rc in that directory.

install gpsp : gpsp-qt_0.9-SDL-3_arm.ipk
type chown zaurus /opt/QtPalmtop/bin/gpsp as root (by default gpsp is own by root only)

to keep the cresho setup and be able to run gpsp (that requires a sdl lib with bvdd ie ibsdl_1.2.5-bvdd-07-2_arm.ipk)
you need to extract the file libsdl.1.2.so.0.0.5 from libsdl_1.2.5-bvdd-07-2_arm.ipk , rename it to libSDL-1.2.so.0 and put it where you want.
and then create/modify zemufeex_gba.sh (in /opt/QtPalmtop/bin) like
CODE
#!/bin/bash
export GPSPKEYS=115,97,276,275,273,274,13,32,120,122
cd "$1"
LD_PRELOAD=<pathtolibsdlbvdd> gpsp "$2"
exit 0

so gpsp will use this lib and the other emulators the zport one! and everything works with zemuf.
Everything comes from this thread and others on this forum.


Excuse me if i resumed an old thread, but the site "Suhami.net" (at least for me) is unreachable and i haven't the package gpsp-qt_0.9-SDL-3_arm.ipk...
I have searched for this in various sites, and i found a version probably not compatible with cacko 1.23 and/or libsdl.1.2.so.0.0.5 (the emulator exits with error cmd__12QPaintDeviceiP8QPainterP13QPDevCmdParam.)
Have someone this package? So I try this on my C1000.
Thanx very much!
Go to the top of the page
 
+Quote Post
Jon_J
post Feb 1 2011, 12:09 PM
Post #25





Group: Members
Posts: 1,843
Joined: 31-December 05
From: Illinois USA
Member No.: 8,821



QUOTE
Excuse me if i resumed an old thread, but the site "Suhami.net" (at least for me) is unreachable and i haven't the package gpsp-qt_0.9-SDL-3_arm.ipk...
I have searched for this in various sites, and i found a version probably not compatible with cacko 1.23 and/or libsdl.1.2.so.0.0.5 (the emulator exits with error cmd__12QPaintDeviceiP8QPainterP13QPDevCmdParam.)
Have someone this package? So I try this on my C1000.
Thanx very much!
I haven't used my Zaurus for playing games for a long time, but I have the package you are asking for.
Be sure to check the package name, as the forum sometimes changes it. Name it as below without the quotes. smile.gif
"gpsp-qt_0.9-SDL-3_arm.ipk"
I have also attached a "readme" text file in a "zip" file
Attached File(s)
Attached File  gpsp_qt_0.9_SDL_3_arm.ipk ( 532.02K ) Number of downloads: 1
Attached File  readme_gpsp.zip ( 15.62K ) Number of downloads: 1
 
Go to the top of the page
 
+Quote Post
AltairTK
post Feb 2 2011, 07:11 AM
Post #26





Group: Members
Posts: 8
Joined: 20-March 08
From: Venice -Italy
Member No.: 21,530



QUOTE(Jon_J @ Feb 1 2011, 12:09 PM) *
QUOTE
Excuse me if i resumed an old thread, but the site "Suhami.net" (at least for me) is unreachable and i haven't the package gpsp-qt_0.9-SDL-3_arm.ipk...
I have searched for this in various sites, and i found a version probably not compatible with cacko 1.23 and/or libsdl.1.2.so.0.0.5 (the emulator exits with error cmd__12QPaintDeviceiP8QPainterP13QPDevCmdParam.)
Have someone this package? So I try this on my C1000.
Thanx very much!
I haven't used my Zaurus for playing games for a long time, but I have the package you are asking for.
Be sure to check the package name, as the forum sometimes changes it. Name it as below without the quotes. smile.gif
"gpsp-qt_0.9-SDL-3_arm.ipk"
I have also attached a "readme" text file in a "zip" file


Thank you very very very much!
Now all works fine and fast biggrin.gif
Go to the top of the page
 
+Quote Post

2 Pages V  < 1 2
Reply to this topicStart new topic
2 User(s) are reading this topic (2 Guests and 0 Anonymous Users)
0 Members:

 



RSS Lo-Fi Version Time is now: 23rd November 2014 - 04:16 AM